Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.knipp.rritoolkit.response
Class ContactCheckResponse

    java.lang.Object
      de.knipp.rritoolkit.response.Response
          de.knipp.rritoolkit.response.ContactCheckResponse

    public class ContactCheckResponse

extends Response

response of a contact check request

Version:
  $Revision: 14936 $
Author:
  Klaus Malorny

Nested Class Summary
`static class` | `ContactCheckResponse.State` enumeration for the different states

Nested classes/interfaces inherited from class de.knipp.rritoolkit.response.Response
`Response.Result`

Field Summary
`private java.lang.String` | `handle` the handle
`private ContactCheckResponse.State` | `state` the status

Constructor Summary
`ContactCheckResponse()`

Method Summary
`void` | `accept(ResponseVisitor visitor)` call the suitable method of the given visitor
`protected void` | `dataFromList(KVMultiList list)` subclasses that need to read additional data from the key-value pair response should override this method.
`protected void` | `dataFromXml(org.w3c.dom.Element data)` subclasses that need to read additional data from the XML response should override this method.
`java.lang.String` | `getHandle()` return the handle
`ContactCheckResponse.State` | `getState()` return the status
`java.lang.String` | `toString()` return a string representation for debugging purposes

Methods inherited from class de.knipp.rritoolkit.response.Response
`fromList, fromXml, getClientTxnID, getResult, getResultMessages, getServerTxnID, isSuccess`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### handle

    private java.lang.String handle

  the handle

### state

    private ContactCheckResponse.State state

  the status

Constructor Detail

### ContactCheckResponse

    public ContactCheckResponse()

Method Detail

### dataFromList

    protected void dataFromList(KVMultiList list)
                         throws ResponseParseException

  subclasses that need to read additional data from the key-value pair response should override this method. The default implementation is empty and need not to be called.

  Overrides:
    `dataFromList` in class `Response`
  Parameters:
    `list` - the list
  Throws:
    `ResponseParseException` - if the document does not contain the expected content

### dataFromXml

    protected void dataFromXml(org.w3c.dom.Element data)
                        throws org.w3c.dom.DOMException,
                               ResponseParseException

  subclasses that need to read additional data from the XML response should override this method. The default implementation is empty and need not to be called.

  Overrides:
    `dataFromXml` in class `Response`
  Parameters:
    `data` - the data element or `null` if the data contains no additional data
  Throws:
    `org.w3c.dom.DOMException` - on DOM exceptions
    `ResponseParseException` - if the document does not contain the expected content

### accept

    public void accept(ResponseVisitor visitor)

  call the suitable method of the given visitor

  Overrides:
    `accept` in class `Response`
  Parameters:
    `visitor` - the visitor

### toString

    public java.lang.String toString()

  return a string representation for debugging purposes

  Overrides:
    `toString` in class `Response`
  Returns:
    the string representation

### getHandle

    public java.lang.String getHandle()

  return the handle

  Returns:
    the handle, or `null` in case of an error

### getState

    public ContactCheckResponse.State getState()

  return the status

  Returns:
    the state or `null` in case of an error

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2011 Knipp Medien und Kommunikation GmbH